Subject: Re: [PATCH] teach fast-export an --anonymize option

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Aug 2014 14:57:22 -0700

Jeff King <[email-masked]> writes:

> +--anonymize::
> +	Replace all paths, blob contents, commit and tag messages,
> +	names, and email addresses in the output with anonymized data,
> +	while still retaining the shape of history and of the stored
> +	tree.

Sometimes branch names can contain codenames the project may prefer
to hide from the general public, so they may need to be anonymised
as well.